Subject: 2.6.35.6 fails to suspend (pxa2xx-mci.0)

From: [email-masked] (Sven Neumann)
Date: Mon, 11 Oct 2010 10:10:54 +0200

On Fri, 2010-10-08 at 22:08 +0200, Rafael J. Wysocki wrote:
> On Friday, October 08, 2010, Sven Neumann wrote:
> > On Thu, 2010-10-07 at 23:23 +0200, Rafael J. Wysocki wrote:
> > 
> > > > > I wonder what happens if you echo 0 to /sys/power/pm_async ?
> > > > 
> > > > Nothing happens. The problem persists (tested with 2.6.36-rc7). What
> > > > would you expect to happen?
> > > 
> > > Exactly that. :-)
> > > 
> > > Commit 152e1d5920 should not affect the non-async case (I'd be surprised if
> > > it did really) and things should work with /sys/power/pm_async = 0 anyway.
> > > 
> > > Please try check if you can reproduce with commt 152e1d5920 reverted and
> > > /sys/power/pm_async = 0.  If you can, that's a driver bug.
> > 
> > Ok, for the record, here's what I tried. I have rebooted between tests
> > to make sure there's no state pulled in from the previous test:
> > 
> >  2.6.36-rc7, no changes,      pm_async 1 :  suspend fails
> >  2.6.36-rc7, no changes,      pm_async 0 :  suspend fails
> > 
> >  2.6.36-rc7, 152e1d reverted, pm_async 1 :  suspend works
> >  2.6.36-rc7, 152e1d reverted, pm_async 0 :  suspend fails
> > 
> >  2.6.34.7, no changes,        pm_async 1 :  suspend works
> >  2.6.34.7, no changes,        pm_async 0 :  suspend works
> > 
> > I am not sure how this should be interpreted.
> 
> There is a problem with the pxa2xx-mci.0 suspend that has been introduced
> some time after 2.6.34, but it is not related to commit 152e1d5920.  The
> problem was not visible with pm_async=1 because of the very bug fixed by
> commit 152e1d5920.
> 
> Please see if the problem is there in 2.6.35 (please test with pm_async=0).

Works fine with v2.6.35:

 2.6.35, no changes,        pm_async 1 :  suspend works
 2.6.35, no changes,        pm_async 0 :  suspend works

So it looks like the problem has been introduced after 2.6.35 and was
backported...

Greetings,
Sven